aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--user-scripts/README.md2
-rwxr-xr-xuser-scripts/nwal15
-rwxr-xr-xuser-scripts/pywal15
3 files changed, 32 insertions, 0 deletions
diff --git a/user-scripts/README.md b/user-scripts/README.md
index 18ed906..14fc0e5 100644
--- a/user-scripts/README.md
+++ b/user-scripts/README.md
@@ -9,8 +9,10 @@
| kdeconnect | Send selected files to Android device using kdeconnect-cli |
| ndiff | File and directory diff for selection using vimdiff |
| nlaunch | Drop-down independent app launcher (needs fzy), drop in `$PATH`; fallback regular prompt |
+| nwal | Set the selected image as wallpaper using nitrogen |
| paste | Paste contents of current (text) file to paste.ubuntu.com (needs [pastebinit](https://launchpad.net/pastebinit)) |
| picker | Pick files and pipe the newline-separated list to another utility |
+| pywal | Set the selected image as wallpaper using pywal and change the terminal color schemes |
| sxiv | Open images in current directory in sxiv |
| transfer | Upload current file to transfer.sh |
| upgrade | Check and update to latest version of nnn manually on Debian 9 Stretch |
diff --git a/user-scripts/nwal b/user-scripts/nwal
new file mode 100755
index 0000000..a9ae62a
--- /dev/null
+++ b/user-scripts/nwal
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+# Description: Set the selected image as wallpaper using nitrogen. Just put the cursor on a image and run the script.
+#
+# Shell: POSIX Compliant
+# Author: juacq97
+
+if ! [ -z "$1" ]; then
+ if [ $(mimetype --output-format %m $1 | awk -F '/' '{print $1}') == "image" ]; then
+ nitrogen --set-zoom-fill --save $1
+# notify-send -a "nnn" "Wallpaper changed!"
+ else
+# notify-send -a "nnn" "No image selected"
+ fi
+fi
diff --git a/user-scripts/pywal b/user-scripts/pywal
new file mode 100755
index 0000000..7131104
--- /dev/null
+++ b/user-scripts/pywal
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+# Description: Set the selected image as wallpaper using pywal and change the terminal color schemes. Just put the cursor on a image and run the script.
+#
+# Shell: POSIX Compliant
+# Author: juacq97
+
+if ! [ -z "$1" ]; then
+ if [ $(mimetype --output-format %m $1 | awk -F '/' '{print $1}') == "image" ]; then
+ wal -i $1
+# notify-send -a "nnn" "Wallpaper changed!"
+ else
+# notify-send -a "nnn" "No image selected"
+ fi
+fi